Error at startup: "System Extension Cannot Be Used"

Discussion in 'Installation and Configuration' started by PToomeyJr, Oct 11, 2008.

  1. PToomeyJr

    PToomeyJr

    Messages:
    33
    Since installing 5608 I get the following message after starting my Virtual Machine: System Extension cannot be used! The system extension "/library/filesystems/fusefs.fs/support/fusefs.kext" was installed improperly and cannot be used. Please try reinstalling it, or contact the product's vendor for an update.

    What does this message mean and how does it affect my system? What should I do to correct this error situation? It does not appear to create any real problems because after I click "OK" it goes away the system boots normally and I cannot see any deleterious affects of the error.

    Patrick Toomey
    Charlottesville, VA

    PS: I am using a 20" iMac, with 175 GB of free disk space, 3 GB of memory. I run Mac 0s 10.5.5 and have allocated 1 GB of memory to the Parallels VM and am using Windows XP home edition.
     
  2. John@Parallels

    John@Parallels

    Messages:
    6,343
    Try to perform permissions repair, as a first step from Applications/Utilities/Disk Utility
     
  3. PToomeyJr

    PToomeyJr

    Messages:
    33
    I ran disk utility 'repair permissions', then logged out, and rebooted my iMac. When I opened Parallels I got the same error message.

    Patrick Toomey
    Charlottesville, Virginia
     
  4. John@Parallels

    John@Parallels

    Messages:
    6,343
    I suppose one of the software may affect that driver
    Either Antivirus, or third party device driver, or software like Tech Tools
     
  5. rfellows

    rfellows

    Messages:
    10
    This error is occurring with Parallels 4.0

    I am now getting this exact error after upgrading to 4.0, build 3540. Do you suppose you might know how to resolve it?
     
  6. John@Parallels

    John@Parallels

    Messages:
    6,343
    Did you check my last post, what do you have from that on mac OS side?
     
  7. GerryP

    GerryP

    Messages:
    1
    I have also had this problem since Parallels V3 on my MacBook Pro.
    Upgrading to V4 has not fixed the problem.
    I've upgraded MacFUSE to the latest version (still broken) and finally to 2.1.5 Beta (still broken).
    My error message pops up as soon as my Parallels session for XP Pro SP3 runs up.
    It tells me my copy of MacFUSE will not work because it was installed incorrectly.
    I am not running any kind of AntiVirus or Malware programs in OS X 10.5.7 but I do in XP.

    Should I try uninstalling parallels, then MacFUSE, then re-installing Parallels?
    The thought is that Parallels only works with a certain version of MacFuse, and Parallels might need to install it?
     
  8. MarcusH

    MarcusH Bit Poster

    Messages:
    15
    Same issue here

    Same issue here since V3 continuing after upgrading to V4. Functional significance? Fix?
     
  9. gluhring

    gluhring

    Messages:
    2
    Same here... Good Job!

    Glad to see the Parallels Team is right on top of this problem! Now a year and a half since the last post here. I've been having this same problem since version 5 and now I'm on 6.0.11...

    Did anyone ever figure this out? Permission repair & reinstalling the ancient MacFUSE don't do anything for me.

    A Google search shows this problem is prevalent. I think it's about time you took care of it.
     
  10. JanB65

    JanB65

    Messages:
    2
    Great...

    I just got the same error message upon installing the trial version of Parallels 6 on my new Imac. I WAS thinking about purchasing Parallels, but with this prevalent issue and no one seeming to really care to address it - that kind of speaks volumes about what I might face in the future with this product. :-/ Not sure I want to pour money into software that isn't supported.


    To clarify, this is the alert box I am seeing upon opening Parallels:

    System extension cannot be used

    The system extension "?Library/Filesystems/fusefs.fs/Support/fusefs.kext" was installed improperly and cannot be used. Please try reinstalling it, or contact the product's vendor for an update.
     
  11. gluhring

    gluhring

    Messages:
    2
    Just to be fair...

    A new MacFuse did just come out fairly recently today is 2/15/2011. And for some reason my problem did go away although it was not due to reinstalling MacFuse.
     
  12. JanB65

    JanB65

    Messages:
    2
    Didn't work for me

    I tried reinstalling the MacFuse thing today but it didn't solve the issue.
     
  13. GeoffHart

    GeoffHart

    Messages:
    1
    I'm having the same "problem" with Parallels 5 (latest build as of July 25/11), but it doesn't seem to be interfering with my use of the software in any way. Is this something I should just ignore, or is it something that's necessary to solve?
     

Share This Page